---
- name: Check plugin is installed
  command: "${HOME}/.asdf/bin/asdf where gradle"
  register: plugin_exists

- name: Add gradle plugin to asdf
  command: "${HOME}/.asdf/bin/asdf plugin-add gradle"
  when: '"No such plugin:" in plugin_exists'

- name: Install gradle 6.4.1 with asdf
  command: "${HOME}/.asdf/bin/asdf install gradle 6.4.1"

- name: Set global version for gradle to 6.4.1
  command: "${HOME}/.asdf/bin/asdf global gradle 6.4.1"
